package common.block.artificial;

import common.block.Block;
import common.block.Material;
import common.util.BlockPos;
import common.util.Facing;
import common.world.IWorldAccess;
import common.world.State;

public class BlockCompressedPowered extends Block
{
    public BlockCompressedPowered(Material p_i46386_1_)
    {
        super(p_i46386_1_);
    }

    /**
     * Can this block provide power. Only wire currently seems to have this change based on its state.
     */
    public boolean canProvidePower()
    {
        return true;
    }

    public int getWeakPower(IWorldAccess worldIn, BlockPos pos, State state, Facing side)
    {
        return 15;
    }
    
    public boolean isMagnetic() {
    	return true;
    }
}
